MsWrdTextInternal::TextStruct Struct Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
MsWrdTextInternal::TextStruct Struct Referencefinal

Internal: the entry of MsWrdParser. More...

Inheritance diagram for MsWrdTextInternal::TextStruct:

## Classes
struct | CompareFilePos
| a struct used to compare file textpos More...

## Public Member Functions
| TextStruct ()
| construtor More...
| TextStruct (TextStruct const &)=default
| ~TextStruct () final
| destructor More...
int | getParagraphId () const
| returns the paragraph id ( or -1, if unknown ) More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
const std::string & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
const std::string & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
const std::string & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes
int | m_pos
| the text position More...
int | m_styleId
| some identificator(maybe style) More...
int | m_flags
| some flags More...
int | m_paragraphId
| the paragraph id More...
bool | m_complex
| a flag to know if we read a complex or a simple PRM More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextStruct const &entry)
| operator<< More...

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
std::string | m_extra
| an extra string More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...

## Detailed Description

Internal: the entry of MsWrdParser.

## Constructor & Destructor Documentation

## ◆ TextStruct() [1/2]

MsWrdTextInternal::TextStruct::TextStruct | ( |  | ) |
| inline

construtor

## ◆ TextStruct() [2/2]

MsWrdTextInternal::TextStruct::TextStruct | ( | TextStruct const & |  | ) |
| default

## ◆ ~TextStruct()

MsWrdTextInternal::TextStruct::~TextStruct | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getParagraphId()

int MsWrdTextInternal::TextStruct::getParagraphId | ( |  | ) | const
| inline

returns the paragraph id ( or -1, if unknown )

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextStruct const & | entry
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_complex

bool MsWrdTextInternal::TextStruct::m_complex

a flag to know if we read a complex or a simple PRM

Referenced by MsWrdText::readTextStruct().

## ◆ m_flags

int MsWrdTextInternal::TextStruct::m_flags

some flags

Referenced by MsWrdText::readTextStruct().

## ◆ m_paragraphId

int MsWrdTextInternal::TextStruct::m_paragraphId

the paragraph id

Referenced by getParagraphId(), and MsWrdText::readTextStruct().

## ◆ m_pos

int MsWrdTextInternal::TextStruct::m_pos

the text position

Referenced by MsWrdText::readTextStruct().

## ◆ m_styleId

int MsWrdTextInternal::TextStruct::m_styleId

some identificator(maybe style)

Referenced by MsWrdText::readTextStruct().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx